package com.hz.pm.api.projectdeclared.model.dto;

import com.hz.pm.api.projectdeclared.utils.BeanDiffUtil.FieldDiff;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * <p>
 * PurchaseEditDTO
 * </p>
 *
 * @author WendyYang
 * @since 11:12 2024/8/6
 */
@Data
public class PurchaseEditDTO {

    @ApiModelProperty("采购信息")
    private PurchaseDTO purchase;

    private List<FieldDiff> purchaseDiffs;

    @ApiModelProperty("合同信息")
    private ContractDTO contract;

    private List<FieldDiff> contractDiffs;

    @ApiModelProperty("实施信息")
    private OperationDTO operation;

    private List<FieldDiff> operationDiffs;

}
